﻿Cls

""
"List Email Retrieval Users v1.0 [2019-01-30] Copyright 2019 Alex Clarke [http://www.al3xclarke.co.uk]"
""

$DomainsFolder = "S:\Domains"

# Get start time.

$StartTime = (Get-Date -f HH:mm:ss)

"Script started at: " + $StartTime
""

# Find and check .json files.

$files = Get-ChildItem -Path $DomainsFolder\*\Users -Recurse -Filter "settings.json" | Where {$_.FullName -notlike "*\Archived Data\*"}
$results = 0

ForEach ($file in $files) {
    $json = (Get-Content $file -Raw) | ConvertFrom-Json
    $count = $json.settings.pop_accounts.Count + $json.settings.imap_accounts.Count
    If ($count -gt 0) {
        $file.FullName
        $results++
    }
}

# Results.

""
$results.ToString() + "/" + $files.Count + " (" + [math]::Round(($results / $files.Count * 100), 2) + "%)"

# Get finish time and duration.

$FinishTime = (Get-Date -f HH:mm:ss)

$Duration = New-TimeSpan -Start $StartTime -End $FinishTime
$Duration = [DateTime]$Duration.Ticks
$Duration = Get-Date $Duration -Format T

""
"Script finished at: " + (Get-Date -f HH:mm:ss) + " (Duration: " + $Duration + ")"

""
"Press any key to exit."
""

cmd /c Pause | Out-Null